| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Enum Server

Enum Server Definitions and Methods. More...

## Classes
class | QueryEnumServerData
| Query Enum Server data. More...
class | ListEnumServerData
| List Enum Server data. More...
class | unsp__CreateEnumServerRequest
| Create Enum Server request. More...
struct | unsp__CreateEnumServerResult
| Create Enum Server result. More...
class | unsp__ListEnumServerRequest
| List Enum Server request. More...
class | unsp__ListEnumServer
| List Enum Server data. More...
class | unsp__ArrayOfListEnumServer
| Array of Enum Server names. More...
struct | unsp__ListEnumServerResult
| List Enum Server result. More...
class | unsp__ModifyEnumServerRequest
| Modify Enum Server request. More...
struct | unsp__ModifyEnumServerResult
| Modify Enum Server result. More...
class | unsp__QueryEnumServerRequest
| Query Enum Server request. More...
class | unsp__EnumServer
| Enum Server data. More...
class | unsp__ArrayOfEnumServer
| Array of Enum Servers. More...
struct | unsp__EnumServerResult
| Query Enum Server result. More...
class | unsp__RemoveEnumServerRequest
| Remove Enum Server request. More...
struct | unsp__RemoveEnumServerResult
| Remove Enum Server result. More...

## Functions
int | unsp__createEnumServer (unsp__CreateEnumServerRequest CreateEnumServerRequest, struct unsp__CreateEnumServerResult *CreateEnumServerResult)
| Creates an Enum Server. More...
int | unsp__listEnumServer (unsp__ListEnumServerRequest ListEnumServerRequest, struct unsp__ListEnumServerResult *ListEnumServerResult)
| Lists Enum Servers. More...
int | unsp__modifyEnumServer (unsp__ModifyEnumServerRequest ModifyEnumServerRequest, struct unsp__ModifyEnumServerResult *ModifyEnumServerResult)
| Modifies an Enum Server. More...
int | unsp__queryEnumServer (unsp__QueryEnumServerRequest QueryEnumServerRequest, struct unsp__EnumServerResult *QueryEnumServerResult)
| Queries Enum Servers. More...
int | unsp__removeEnumServer (unsp__RemoveEnumServerRequest RemoveEnumServerRequest, struct unsp__RemoveEnumServerResult *RemoveEnumServerResult)
| Removes an Enum Server. More...

## Detailed Description

Enum Server Definitions and Methods.

ENUM (Electronic Number Mapping) is a DNS-based architecture and protocol for mapping an ITU-T (International Telecommunications Union, Telecommunications Standards Section) recommendation E.164 telephone number into an URI.

A URI is a string of characters that identifies resources such as documents, images, files, databases, e-mail addresses or other resources or services in a common structured format. The ENUM mechanism converts telephone numbers into service specific URIs.

The operator ENUM feature provides support for the DNS-based architecture and protocol for mapping an E.164-compliant number into a service-specific URI, which is dictated by IETF RFC 3761. This mechanism is only applicable for interswitch connection with SIP gateways.

OpenScape Voice uses this mechanism to route calls to other networks through IP-based means instead of through the PSTN (Public Switched Telephone Network). Up to six ENUM server pairs and at least 100 simultaneous queries are supported. Each server pair can contain a secondary server, which provides a failover mechanism if the primary server cannot process a query.

An ENUM query is launched when one of the following takes place:

- An E.164 route marked as an ENUM route is reached.
- OpenScape Voice is configured to perform ENUM queries on all calls to non-hosted subscribers.

## Function Documentation

## ◆ unsp__createEnumServer()

unsp__createEnumServer | ( | unsp__CreateEnumServerRequest | CreateEnumServerRequest,
|  | struct unsp__CreateEnumServerResult * | CreateEnumServerResult
| ) |  |

Creates an Enum Server.

Parameters

  CreateEnumServerRequest | API request
  CreateEnumServerResult | API result MP2 command: EnumServer [Attributes]

## ◆ unsp__listEnumServer()

unsp__listEnumServer | ( | unsp__ListEnumServerRequest | ListEnumServerRequest,
|  | struct unsp__ListEnumServerResult * | ListEnumServerResult
| ) |  |

Lists Enum Servers.

Parameters

  ListEnumServerRequest | API request
  ListEnumServerResult | API result

## ◆ unsp__modifyEnumServer()

unsp__modifyEnumServer | ( | unsp__ModifyEnumServerRequest | ModifyEnumServerRequest,
|  | struct unsp__ModifyEnumServerResult * | ModifyEnumServerResult
| ) |  |

Modifies an Enum Server.

Parameters

  ModifyEnumServerRequest | API request
  ModifyEnumServerResult | API result MP2 command: ModifyEnumServer [Attributes]

## ◆ unsp__queryEnumServer()

unsp__queryEnumServer | ( | unsp__QueryEnumServerRequest | QueryEnumServerRequest,
|  | struct unsp__EnumServerResult * | QueryEnumServerResult
| ) |  |

Queries Enum Servers.

Parameters

  QueryEnumServerRequest | API request
  QueryEnumServerResult | API result

## ◆ unsp__removeEnumServer()

unsp__removeEnumServer | ( | unsp__RemoveEnumServerRequest | RemoveEnumServerRequest,
|  | struct unsp__RemoveEnumServerResult * | RemoveEnumServerResult
| ) |  |

Removes an Enum Server.

Parameters

  RemoveEnumServerRequest | API request
  RemoveEnumServerResult | API result MP2 command: RemoveEnumServer [Attributes]